evolution crashed with SIGSEGV during MAPI authentication

Bug #338982 reported by Andrew Replogle on 2009-03-06
712
This bug affects 38 people
Affects Status Importance Assigned to Milestone
Evolution
Fix Released
Critical
evolution-mapi (Ubuntu)
Undecided
Unassigned
Nominated for Karmic by davide
Jaunty
Undecided
Unassigned
openchange (Ubuntu)
High
Sebastien Bacher
Nominated for Karmic by davide
Jaunty
High
Sebastien Bacher

Bug Description

Binary package hint: evolution

after installing evolution-mapi and going through the account creation process, I enter my exchange server, user name and domain name and click authenticate. After entering my password and putting ok, I wait for a few seconds and then evolution segfaults.

Release: 9.04 Alpha5
Evolution Version: 2.25.92-0ubuntu2
Expected evolution / mapi component to authenticate and move to next step in account setup screen.
Evolution crashed.

ProblemType: Crash
Architecture: i386
CrashCounter: 1
Disassembly: 0xe814ec70:
DistroRelease: Ubuntu 9.04
ExecutablePath: /usr/bin/evolution
Package: evolution 2.25.92-0ubuntu2
ProcCmdline: evolution --component=mail
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
Signal: 11
SourcePackage: evolution
StacktraceTop:
 ?? ()
 ?? () from /usr/lib/libdcerpc.so.0
 ?? () from /usr/lib/libdcerpc.so.0
 ?? () from /usr/lib/libdcerpc.so.0
 ?? () from /usr/lib/libdcerpc.so.0
Title: evolution crashed with SIGSEGV
Uname: Linux 2.6.28-8-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

StacktraceTop:?? ()
free_mccache (ccc=0x9024d58)
_talloc_free (ptr=0x9024d58) at ../lib/talloc/talloc.c:515
_talloc_free (ptr=0x92cd230) at ../lib/talloc/talloc.c:546
_talloc_free (ptr=0x9447ab0) at ../lib/talloc/talloc.c:546

Changed in evolution:
importance: Undecided → Medium
Pedro Villavicencio (pedro) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Please try to obtain a valgrind log following the instructions at https://wiki.ubuntu.com/Valgrind and attach the file to the bug report. This will greatly help us in tracking down your problem. Maybe a libdcerpc0 issue.

Changed in evolution:
assignee: nobody → desktop-bugs
status: New → Incomplete

Here is the valgrind log for the issue.

Changed in evolution:
status: Incomplete → New

adding debug log

Sebastien Bacher (seb128) wrote :

there is a lot of evolution-mapi crashes similar to that one

Sebastien Bacher (seb128) wrote :

that looks similar to http://bugzilla.gnome.org/show_bug.cgi?id=571579 and should be fixed in the new openchange 0.8.2 version

Changed in samba4 (Ubuntu):
assignee: desktop-bugs → nobody
Changed in openchange (Ubuntu):
status: New → Fix Committed
Changed in openchange (Ubuntu Jaunty):
importance: Medium → High
milestone: none → ubuntu-9.04
status: Fix Committed → Confirmed
gyhor (gyhor) wrote :

I have the same Problem with the newest libmapi (0.8-2) in Jaunty.

gyhor (gyhor) wrote :

It seems a to be a problem with evolution. Because the openchangeclient can connect and retrieve emails and contact without any problem.
Evolution generates a ./evolution/mapi-profiles.ldb before its segfaults. With that profile the openchangeclient can connect to Exchange.
for example:
openchangeclient --database=.evolution/mapi-profiles.ldb --fetch-items=contacts

İsmail Dönmez (ismaildonmez) wrote :

I also still experience the very same crash.

Harry Kashouli (kcy29581) wrote :

I can confirm that the exact same crash occurs for me with the latest libmapi (0.8.2) provided in Jaunty.

Is this bug considered important enough to be fixed prior to the release of 9.04?

Rob Adams (readams) wrote :

The latest libmapi0 in jaunty is 0.8-2. This is not the same as 0.8.2 upstream. This will presumably be fixed in a 0.8.2-0 package or a 0.8-3 package.

Harry Kashouli (kcy29581) wrote :

Ah, thanks Rob, I had assumed that the "-2" was simply Ubuntu's way of handling minor version numbers.

mickkael (mickkael) wrote :

I've compiled the last libmapi 0.8.2 (not 0.8-2 jaunty package) and the bug is still present in evolution.
jaunty beta latest packages evolution, evolution-mapi... By opening the mapi database created by evolution before crash with openchange client, i can fetch contacts for example.
Perhaps it is an evolution-mapi bug and not a libmapi one...

Steffen Neumann (sneumann) wrote :

I can confirm that the created mapi-profile works in openchangeclient:

 openchangeclient --database=.evolution/mapi-profiles.ldb -m

My versions are shown in
https://bugs.launchpad.net/ubuntu/+source/evolution-mapi/+bug/339987/comments/9

Yours,
Steffen

Same here. After compiling libmapi-0.8.2, and Debian's Samba 4.0.0-alpha7, evo still dies

 openchangeclient --database=.evolution/mapi-profiles.ldb -m
 openchangeclient --database=.evolution/mapi-profiles.ldb --fetchmail

work

Rob Adams (readams) wrote :

Is there anyone that can use this successfully? Every "Ubuntu Jaunty" preview I've seen mentions MAPI support as one of the big new features.

mickkael (mickkael) wrote :

In fact i finally succeed, by i experiment crashes. I have to firste create the evolution account without fetching any email (mapi or imap). Then edit the account, add the mapi settings. => Crash, by reopening evolution, you have a chance to have a working account with mapi mail fetching. No calendar, contacts or tasks.

Same here, I can get mail but it still is rather unstable, and calendar / contacts / tasks are not working. Attached is a debug log from when calendar crashes.

here's a valgrind dump of when calendar service crashes if needed.

based on all the back and forth this really seems like an issue in the evolution-mapi component and not openchange.

Based on Comment #29 from Berend De Schouwer (points: 2) in the related gnome bug, it looks like this may be fixed in head of evolution-mapi.

When's the next update to evolution-mapi in 9.04 beta?

Andrew

Steve Langasek (vorlon) wrote :

subscribed the last uploader of evolution-mapi.

affects: openchange (Ubuntu Jaunty) → evolution-mapi (Ubuntu Jaunty)

I think it's a bug in both libmapi and evolution-mapi. Fixing/changing libmapi got the login working, and that exposed a bug in evolution-mapi.

I haven't tried compiling *just* evolution-mapi.

(there's more bugs I'm trying to track -- but they aren't sigsegv bugs. all from addresses are broken.)

Didier Roche (didrocks) wrote :

Regarding Berend's comment on bug http://svn.gnome.org/viewvc/evolution-mapi?view=revision&revision=188, I cherry picked a fix in upstream svn and will upload it this evening (I don't have my gpg key on me) in universe tonight.

If you can please then test it, thanks. (I could also put in on my ppa, but as the current version is broken in universe...).
Also, openchange 0.8.2 which may be related to this bug is on his way to debian, we will sync it ASAP.

I just got the evolution-mapi and libexchangemapi1.0-0 updates through and it's still broken in the same way for me. Exchange 2007, Jaunty on x86.

To be fair, it looks like I might have built evolution-mapi from source in the past on this machine. I removed all mapi related files from the computer and re-installed evolution, evolution-mapi, etc, but now I have the old problem of the "Forward" button bein greyed-out in the Evolution setup assistant, so I can't use it at all now.

I'll try on my x86_64 box shortly.

Definitely still broken on my unmolested Jaunty x86_64 box too.

Didier Roche (didrocks) wrote :

Wait for openchange 0.8.2 to be in the repos soon.

I just read on a blog that using the IP address instead of the server's hostname works, and indeed it does. Fancy that!

I wish something could be done about the "Fetching summary information.." thing which appears to be building up the whole folder into memory (ram usage going up and up and up while this long process continues). Currently 29% through fetching summary information for my Inbox, and up to 500mb of RAM for Evolution :-)

Anyway, groovy. Getting somewhere. Julien Kerihuel is my hero.

Chryzo (chryzo-gmail) wrote :

Works for me too - crash with FQDN / server-name, works with IP (Jaunty x86).

On Wed, Apr 8, 2009 at 3:38 PM, Chryzo <email address hidden> wrote:
> Works for me too - crash with FQDN / server-name, works with IP (Jaunty
> x86).
>
> --
> evolution crashed with SIGSEGV during MAPI authentication
> https://bugs.launchpad.net/bugs/338982
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

IP works for mail, but calendar crashes when I enable the Exchange
server and viewing meeting invites crashes Evo entirely.

I think we just need to sit tight on this one and do as Didier says - wait for openchange 0.8.2 to be in the repos soon.
It is nice to have it half working though :-)

jbg7474 (jbg7474) wrote :

Viewing Exchange 2007 calendars is also causing Evolution calendars to crash on my machine. Drat! And I was so hopeful after discovering that I could connect using the IP address!

@Carl:

Are evo-exchange and support libs part of OC proper? I'm experiencing major problems, IP or no, connecting to an Exchange 2003 setup...

Alois, the evolution plugin is not part of OpenChange or written by the OpenChange folks, but it uses OpenChange/libmapi. It's part of the Gnome project I think, and the chap in charge of it is Johnny Jacob: http://www.johnnyjacob.org/
http://www.go-evolution.org/MAPIProvider

I think a lot of people are keen for this to be working when 9.04 is released, so I'm sure it'll be fine.

Download full text (3.1 KiB)

No: the Evolution support sits on top of work done by the OpenChange project. They also rely on some of the features of Samba 4 as well. Evo-MAPI is still very much a work in progress, and I do not think it will be ready by GA date of Ubuntu 9.04, just based purely on my observation of progress. For what it is worth, the Novell implementation of this is not any better in OpenSUSE 11.1.

It appears to me (though JJohnny at Novell would be the definitive source here), from reading the various developer forums that the OpenChange folks do some work and add features and fix bugs in OpenChange, and then the Evolution-MAPI folks figure out how to take advantage of the new features and map them into existing Evolution functionality.

With the IP address hack, I can now read my inbox again, and that is about it. Reply rarely works because GAL (Global Address List) is not yet integrated. Only SMTP email addresses can be replied to. Calendar, Tasks, Out of Office... all that is not there at all yet.

Steve Carl
Senior Technologist
R&D Support
BMC Software

phone: 512.343.1961

10415 Morado Cir
Austin, TX 78759

"Adventures in Linux" blog: http://developer.bmc.com/communities/blogs/linux/

> -----Original Message-----
> From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
> Alois Hammer
> Sent: Wednesday, April 08, 2009 3:45 PM
> To: Carl, Steve
> Subject: [Bug 338982] Re: evolution crashed with SIGSEGV during MAPI
> authentication
>
> @Carl:
>
> Are evo-exchange and support libs part of OC proper? I'm experiencing
> major problems, IP or no, connecting to an Exchange 2003 setup...
>
> --
> evolution crashed with SIGSEGV during MAPI authentication
> https://bugs.launchpad.net/bugs/338982
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “evolution-mapi” source package in Ubuntu: Confirmed
> Status in evolution-mapi in Ubuntu Jaunty: Confirmed
>
> Bug description:
> Binary package hint: evolution
>
> after installing evolution-mapi and going through the account creation
> process, I enter my exchange server, user name and domain name and
> click authenticate. After entering my password and putting ok, I wait
> for a few seconds and then evolution segfaults.
>
>
> Release: 9.04 Alpha5
> Evolution Version: 2.25.92-0ubuntu2
> Expected evolution / mapi component to authenticate and move to next
> step in account setup screen.
> Evolution crashed.
>
> ProblemType: Crash
> Architecture: i386
> CrashCounter: 1
> Disassembly: 0xe814ec70:
> DistroRelease: Ubuntu 9.04
> ExecutablePath: /usr/bin/evolution
> Package: evolution 2.25.92-0ubuntu2
> ProcCmdline: evolution --component=mail
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> Signal: 11
> SourcePackage: evolution
> StacktraceTop:
> ?? ()
> ?? () from /usr/lib/libdcerpc.so.0
> ?? () from /usr/lib/libdcerpc.so.0
> ?? () from /usr/lib/libdcerpc.so.0
> ?? () from /usr/lib/libdcerpc.so.0
> Title: evolution crashed with SIGSEGV
> Uname: Linux 2.6.28-8-generic i686
> UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare...

Read more...

Terahnee (terahnee) wrote :

Jaunty x86 Beta / Exchange2003 - IP instead of hostname works. Email, notes and "to do" list works fine, but still no contacts and calendar. I also miss a menu to set up an absence note - i remember that this worked in an earlier version of evolution with "outlook web access". Is there any chance to get it back?

stevecarl (steve-carl) wrote :

Since you are on Exchange 2003 still, just add the Evolution connector back in (you may have to install it from Synaptic first) and then you will have access to all of its WebDAV based functionality.

Steve Carl
Senior Technologist
R&D Support
BMC Software

phone: 512.343.1961

10415 Morado Cir
Austin, TX 78759

"Adventures in Linux" blog: http://developer.bmc.com/communities/blogs/linux/

> -----Original Message-----
> From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
> Terahnee
> Sent: Thursday, April 09, 2009 10:01 AM
> To: Carl, Steve
> Subject: [Bug 338982] Re: evolution crashed with SIGSEGV during MAPI
> authentication
>
> Jaunty x86 Beta / Exchange2003 - IP instead of hostname works. Email,
> notes and "to do" list works fine, but still no contacts and calendar.
> I
> also miss a menu to set up an absence note - i remember that this
> worked
> in an earlier version of evolution with "outlook web access". Is there
> any chance to get it back?
>
> --
> evolution crashed with SIGSEGV during MAPI authentication
> https://bugs.launchpad.net/bugs/338982
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “evolution-mapi” source package in Ubuntu: Confirmed
> Status in evolution-mapi in Ubuntu Jaunty: Confirmed
>
> Bug description:
> Binary package hint: evolution
>
> after installing evolution-mapi and going through the account creation
> process, I enter my exchange server, user name and domain name and
> click authenticate. After entering my password and putting ok, I wait
> for a few seconds and then evolution segfaults.
>
>
> Release: 9.04 Alpha5
> Evolution Version: 2.25.92-0ubuntu2
> Expected evolution / mapi component to authenticate and move to next
> step in account setup screen.
> Evolution crashed.
>
> ProblemType: Crash
> Architecture: i386
> CrashCounter: 1
> Disassembly: 0xe814ec70:
> DistroRelease: Ubuntu 9.04
> ExecutablePath: /usr/bin/evolution
> Package: evolution 2.25.92-0ubuntu2
> ProcCmdline: evolution --component=mail
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> Signal: 11
> SourcePackage: evolution
> StacktraceTop:
> ?? ()
> ?? () from /usr/lib/libdcerpc.so.0
> ?? () from /usr/lib/libdcerpc.so.0
> ?? () from /usr/lib/libdcerpc.so.0
> ?? () from /usr/lib/libdcerpc.so.0
> Title: evolution crashed with SIGSEGV
> Uname: Linux 2.6.28-8-generic i686
> UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Seb - this bug is set as "release critical" so should be assigned. Please reassign if appropriate.

Changed in evolution-mapi (Ubuntu Jaunty):
assignee: nobody → Sebastien Bacher (seb128)
Mattias Eriksson (snaggen) wrote :

I see this issue. We have clustered exchange servers, and I know libmapi have problems with them. Might be related.

http://mailman.openchange.org/pipermail/devel/2008-May/000691.html

according to the svn log they have implemented support for this kind of redirection (not long ago so I don't know how good it is working, havent had time to test it)

Sebastien Bacher (seb128) wrote :

the issue could be an openchange one, evolution-mapi is new and nobody in the desktop team has access to an exchange server to work on that, I would say it's not a jaunty blocker

Then perhaps it belongs in Karmic, and not Jaunty? Shipping with known-broken packages seems sub-optimal...

Sebastien Bacher (seb128) wrote :

the package is not shipped with ubuntu directly but in universe and can still be fixed in a stable update

We too have clustered exchange 2007 servers, host name doesn't work but using the clustered ip does.

Sent from my Verizon Wireless BlackBerry

-----Original Message-----
From: Mattias Eriksson <email address hidden>

Date: Tue, 14 Apr 2009 14:15:23
To: <email address hidden>
Subject: [Bug 338982] Re: evolution crashed with SIGSEGV during MAPI
 authentication

I see this issue. We have clustered exchange servers, and I know libmapi
have problems with them. Might be related.

http://mailman.openchange.org/pipermail/devel/2008-May/000691.html

according to the svn log they have implemented support for this kind of
redirection (not long ago so I don't know how good it is working, havent
had time to test it)

--
evolution crashed with SIGSEGV during MAPI authentication
https://bugs.launchpad.net/bugs/338982
You received this bug notification because you are a direct subscriber
of the bug.

Status in “evolution-mapi” source package in Ubuntu: Confirmed
Status in evolution-mapi in Ubuntu Jaunty: Confirmed

Bug description:
Binary package hint: evolution

after installing evolution-mapi and going through the account creation process, I enter my exchange server, user name and domain name and click authenticate. After entering my password and putting ok, I wait for a few seconds and then evolution segfaults.

Release: 9.04 Alpha5
Evolution Version: 2.25.92-0ubuntu2
Expected evolution / mapi component to authenticate and move to next step in account setup screen.
Evolution crashed.

ProblemType: Crash
Architecture: i386
CrashCounter: 1
Disassembly: 0xe814ec70:
DistroRelease: Ubuntu 9.04
ExecutablePath: /usr/bin/evolution
Package: evolution 2.25.92-0ubuntu2
ProcCmdline: evolution --component=mail
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
Signal: 11
SourcePackage: evolution
StacktraceTop:
 ?? ()
 ?? () from /usr/lib/libdcerpc.so.0
 ?? () from /usr/lib/libdcerpc.so.0
 ?? () from /usr/lib/libdcerpc.so.0
 ?? () from /usr/lib/libdcerpc.so.0
Title: evolution crashed with SIGSEGV
Uname: Linux 2.6.28-8-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

If anybody in the desktop team would like VPN access to an Exchange server then I will be happy to provide.

Harry Kashouli (kcy29581) wrote :

Sebastien Bacher wrote: "the issue could be an openchange one, evolution-mapi is new and nobody in the desktop team has access to an exchange server to work on that, I would say it's not a jaunty blocker"

So, because:
1) evolution-mapi is new, and
2) nobody in the desktop team has access to an exchange server to work on that,

you consider this "not a Jaunty blocker"?

How do any of the above points show quality of the release is important? Trying to figure out which package has the bug and hoping it's the one in Universe is extremely unprofessional, don't you think? This is a brand new feature added in Gnome 2.26, and many of us have waited for this for years.

klnusbaum (kob0724) wrote :

I must agree with Mr. Kashouli on this one. My University was one of the first intstitutions to switch to the Exchange 2007 server. I've basically been waiting ever since I was a freshmen to be able to use all of the exchange calendar functionality.

I was so excited when I saw the roadmap that Gnome put forth including MAPI support over a year ago. And I've always loved Ubuntu. This is something for which I've been waiting for quite some time and I would really like to see it in Jaunty. I doubt that I'm alone in thinking this way.

cgrimland (grimland) wrote :

As much as I dislike "me too" posts, I have to side with the previous two posters here. This has been a hugely anticipated feature for a long time now.

The name vs. address issue aside, once I finally create my evolution account using the server's IP address, I don't see anything. No emails or email folders. No calendar. No contacts. Nothing. Just a blank email account, even though the console output indicates that the account login was successful.

Ramesh Dharan (rrdharan) wrote :

I am as annoyed about this as anybody else; this is the *single* feature that I cared about in Jaunty and in fact I upgraded my main desktop from Intrepid to Jaunty as soon as Evolution 2.26 was "released" just for this functionality.

That having been said, it seems more appropriate to direct our frustration at upstream. Ubuntu hasn't invested in evolution or evolution-mapi at all and they're just taking what GNOME claims to be giving them; the evolution team meanwhile should be raked over the coals for claiming this thing works when it's little more than a cruelly painful joke right now.

That having been said, if you guys are going to drop it from Jaunty, you should do so explicitly rather than letting users find out for themselves that it doesn't actually work. Right now there's all kinds of nice fluffy press coverage about how evolution-mapi lets Linux users talk to Exchange; this cookie cuttery copy is all clearly written by people who don't even use Exchange (and probably don't even use Linux), and who clearly have not tried out the feature before touting its availability.

Sebastien Bacher (seb128) wrote :

> you consider this "not a Jaunty blocker"?

no, I consider it not a blocker because:
- it's not an officially supported software but in universe
- it's something which can be fixed later with a stable update
- it's not something we can work on in a reasonable timeline fashion since nobody here is hacking on this code nor having access to an exchange server, that's an upstream issue and delaying jaunty will not make it fixed in a quicker way

the situation is not optimal but it will do good to nobody to state that we will delay jaunty until it's fixed, the software is not on the CD anyway so it doesn't make a difference to users if jaunty is claimed stable and CD rolled before or after the fix since it will be download from universe anyway and the bug fix version will be there too

Harry Kashouli (kcy29581) wrote :

So may we please have the steps that you will take to ensure that this bug is fixed, as you are no sure exactly where/what the bug is? I can understand your "Universe" rationale, however what would lead us to believe that anyone will be working on this bug, ever, if you do not have access to Exchange servers? Or is it the team's expectation and belief that this is an upstream bug, and will be fixed anyway when they, eventually, fix the "bug"?

On Wed, 2009-04-15 at 17:00 +0000, Harry Kashouli wrote:
> So may we please have the steps that you will take to ensure that this
> bug is fixed, as you are no sure exactly where/what the bug is? I can
> understand your "Universe" rationale, however what would lead us to
> believe that anyone will be working on this bug, ever, if you do not
> have access to Exchange servers? Or is it the team's expectation and
> belief that this is an upstream bug, and will be fixed anyway when they,
> eventually, fix the "bug"?

As is the case with any Open Source project, you have no assurance that
a bug will be worked on. If you absolutely need this bug to be fixed
soon, you may consider contacting Novell (Evolution developers), or
paying someone else for investigating and fixing the problem. Otherwise,
Canonical or, in general, the Ubuntu community are in no obligation of
fixing this or any other problem, although they seem to be doing their
best, given the resources available to them.

stevecarl (steve-carl) wrote :

There are two projects associated with getting this to work. One is
Gnome, specifically the Evolution subgroup of it. Their mailing list is
<email address hidden>. You can also track the project at their Wiki,
which is http://www.go-evolution.org/Main_Page. This is only for
Evolution and the Evolution-MAPI package ( which has it's own page at
http://www.go-evolution.org/MAPIProvider ). Evolution-MAPI does not
actually provide the MAPI protocol interface to Exchange, but is the
"Shim" or "Adapter" or "Connector" that sits on top of the MAPI software
being created by the OpenChange project

http://wiki.openchange.org is the main web presence of OpenChange, and
of interest there is the MAPI doc:

http://wiki.openchange.org/index.php/Category:MAPI_Library

and the Evolution Doc:

http://wiki.openchange.org/index.php/Category:Evolution_Plugin

One of the main developers of the Evolution-MAPI stuff, Johnny Jacob,
also has a Wiki:

http://johnnyjacob.wordpress.com/category/tech/gnome/

All of these resources would be good places to register your deep
interest in the progress of this feature. While it would be nice if
Ubuntu had Exchange servers, and developers working on this feature set:
Would in fact make the idea of using Ubuntu as an MS Windows replacement
desktop in a professional environment more even more compelling, they do
not at this time.

On Wed, 2009-04-15 at 12:00 -0500, Harry Kashouli wrote:

> So may we please have the steps that you will take to ensure that this
> bug is fixed, as you are no sure exactly where/what the bug is? I can
> understand your "Universe" rationale, however what would lead us to
> believe that anyone will be working on this bug, ever, if you do not
> have access to Exchange servers? Or is it the team's expectation and
> belief that this is an upstream bug, and will be fixed anyway when they,
> eventually, fix the "bug"?
>

steve carl
r&d support engineering
New BMC Blog: http://developer.bmc.com/communities/blogs/linux
blog: http://talk.bmc.com/blogs/blog-carl/steve-carl/

After reading through all the comments I tried to authenticate to Exchange using the IP instead of the FQDN. And it worked! Seems like a problem with address resolution or storing of a hostname instead of an IP adress.

Mattias Eriksson (snaggen) wrote :

Using the ip-adress made authentication work for me to.

Sebastien Bacher (seb128) wrote :

could somebody "LD_DEBUG=bindings evolution &>log", run into the bug and add log to the bug?

Sebastien Bacher (seb128) wrote :

(you probably want to zip the log before adding it there)

Erki Hallingu (erkiha) wrote :

I did LD_DEBUG=bindings evolution &>log, result is in attached log2.gz file.

For me also authentication works with ip, when trying to change ip to server name, evolution crashes.

Regardless of the current state of this connector, I am just utterly gobsmacked and impressed that this is happening at all. I thought it would never be. The OpenChange and Samba4 people, (and Johnny Jacob for working on an Evolution connector for us) are amazing. If I won the lottery I'd be sending a big chunk of money their way.
In the future we will have a fully open source PostPath-like Exchange server drop-in replacement thanks to OpenChange & Samba4. RPC/HTTP support will be there in OpenChange one day too.

Well done for the hard work so far.

Daxy (launchpad-net-daxy) wrote :

It seems Erki was faster then me with uploading.
Nevertheless attached is my log.gz file. Just in case you need it.

Johnny Jacob (johnnyjacob) wrote :

Just read through the comments. Looks like there are two issues:

1. The original issue reported is : http://bugzilla.gnome.org/show_bug.cgi?id=571579 an is fixed in openchange 0.8.2

2. is the entering a hostname crashes and but a IP address works. (A good stack trace for this case would be nice)

And thanks Erki and Daxi. Currently looking through the logs.

affects: evolution-mapi (Ubuntu Jaunty) → openchange (Ubuntu Jaunty)
Sebastien Bacher (seb128) wrote :

could people having the hostname issue get a stacktrace and open a bug on bugzilla.gnome.org?

I'm working with the Postpath by myself. It's a really good working solution but suddenly eaten by Cisco a couple of months ago. Anyway.

For some reason my problem got sorted into this bug. I don't believe that's related to this.

The Postpath server rejects the connect attempt due to the lack of an authenticator module for GSSAPI.

Seems to work with NTLM auth only.

Is there any way to configure another auth method then GSSAPI for the connector?

-----Ursprüngliche Nachricht-----
Von: <email address hidden> [mailto:<email address hidden>] Im Auftrag von Carl Farrington
Gesendet: Donnerstag, 16. April 2009 10:27
An: Ulrich Papendick
Betreff: [Bug 338982] Re: evolution crashed with SIGSEGV during MAPI authentication

Regardless of the current state of this connector, I am just utterly gobsmacked and impressed that this is happening at all. I thought it would never be. The OpenChange and Samba4 people, (and Johnny Jacob for working on an Evolution connector for us) are amazing. If I won the lottery I'd be sending a big chunk of money their way.
In the future we will have a fully open source PostPath-like Exchange server drop-in replacement thanks to OpenChange & Samba4. RPC/HTTP support will be there in OpenChange one day too.

Well done for the hard work so far.

--
evolution crashed with SIGSEGV during MAPI authentication
https://bugs.launchpad.net/bugs/338982
You received this bug notification because you are a direct subscriber
of a duplicate bug.

Status in "evolution-mapi" source package in Ubuntu: Confirmed
Status in evolution-mapi in Ubuntu Jaunty: Confirmed

Bug description:
Binary package hint: evolution

after installing evolution-mapi and going through the account creation process, I enter my exchange server, user name and domain name and click authenticate. After entering my password and putting ok, I wait for a few seconds and then evolution segfaults.

Release: 9.04 Alpha5
Evolution Version: 2.25.92-0ubuntu2
Expected evolution / mapi component to authenticate and move to next step in account setup screen.
Evolution crashed.

ProblemType: Crash
Architecture: i386
CrashCounter: 1
Disassembly: 0xe814ec70:
DistroRelease: Ubuntu 9.04
ExecutablePath: /usr/bin/evolution
Package: evolution 2.25.92-0ubuntu2
ProcCmdline: evolution --component=mail
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
Signal: 11
SourcePackage: evolution
StacktraceTop:
 ?? ()
 ?? () from /usr/lib/libdcerpc.so.0
 ?? () from /usr/lib/libdcerpc.so.0
 ?? () from /usr/lib/libdcerpc.so.0
 ?? () from /usr/lib/libdcerpc.so.0
Title: evolution crashed with SIGSEGV
Uname: Linux 2.6.28-8-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Steve Langasek (vorlon) on 2009-04-16
Changed in openchange (Ubuntu Jaunty):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openchange - 1:0.8-2ubuntu1

---------------
openchange (1:0.8-2ubuntu1) jaunty; urgency=low

  * libmapi/emsmdb.c: svn change to fix an evolution-mapi crasher (lp: #338982)

 -- Sebastien Bacher <email address hidden> Thu, 16 Apr 2009 11:32:07 +0200

Changed in openchange (Ubuntu Jaunty):
status: Fix Committed → Fix Released

the problems still exists if a dns name is used in the server field insted of and ipv4 address!

Changed in openchange (Ubuntu Jaunty):
status: Fix Released → New

the problems still exists if a dns name is used in the server field insted of an ipv4 address!

Sebastien Bacher (seb128) wrote :

did you reopen the bug comments before reopening? the issue is a different one and you should open a new bug

Changed in openchange (Ubuntu Jaunty):
status: New → Fix Released
Bill Wacek (wacek-yahoo) wrote :

I have verified that this still fails as well.

Sebastien Bacher (seb128) wrote :

could you use apport an open a new bug as requested before? that would give extra informations on whether the issue is still the same or an another bug after the one described there

Rob Adams (readams) wrote :

Still crashes for me using host name. Using IP address works but calendars crash if I try to enable the MAPI calendar.

Evolution also totally hangs if you view an invitation to an event/
meeting.

Home Phone: 01242 676299
iPhone temporary number: 07549956765
Fax: 0871 528 8931

On 17 Apr 2009, at 21:25, Rob Adams <email address hidden> wrote:

> Still crashes for me using host name. Using IP address works but
> calendars crash if I try to enable the MAPI calendar.
>
> --
> evolution crashed with SIGSEGV during MAPI authentication
> https://bugs.launchpad.net/bugs/338982
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.

Harry Kashouli (kcy29581) wrote :

Could this be related to the fact that the latest OpenChange depends on samba4-alpha7, and Jaunty has samba4-alpha6? And if this is the case, does this mean that we may be in trouble as Jaunty is frozen as far as packages go?

Steve Langasek (vorlon) wrote :

The crash in question came from the openchange package, which has been fixed. Marking the evolution-mapi task as invalid.

As indicated by Sebastien, if you are still having crashes with MAPI, please capture the apport crash and open a new bug report so that we can see where this crash is happening.

Changed in evolution-mapi (Ubuntu Jaunty):
status: New → Invalid

I just downloaded the 9.0.4 iso today and installed and tried this out and the only way for it to work for me was using an IP address. The tasks/calendar/contacts are broken. I do not have openchange installed. I am using evolution-mapi.

evolution: 2.26.1
evolution-mapi: 0.26.0.1-0ubuntu2

On Fri, 2009-04-24 at 02:11 +0000, Lance V wrote:
> I just downloaded the 9.0.4 iso today and installed and tried this out
> and the only way for it to work for me was using an IP address.
That is also the outcome of bug #338982,
but someone there asked for apport crash reports.
It works here as well, but should be fixed
to allow hostnames.

> The tasks/calendar/contacts are broken.
That should be a bugreport independent from the SIGSEG crash.
Also there is an independent bugreport that the reply:
mail adresses are broken, so you can't hit "Reply" to
answer a mail.

> I do not have openchange installed.
You have packages built from openchange:
Package: libmapi0
Source: openchange

> I am using evolution-mapi.
which depends on libmapi0

Yours,
Steffen

--
IPB Halle AG Massenspektrometrie & Bioinformatik
Dr. Steffen Neumann http://www.IPB-Halle.DE
Weinberg 3 http://msbi.bic-gh.de
06120 Halle Tel. +49 (0) 345 5582 - 1470
                                  +49 (0) 345 5582 - 0
sneumann(at)IPB-Halle.DE Fax. +49 (0) 345 5582 - 1409

Jonathan Knowles (jsk) wrote :

I've just seen the same failure from a fresh installation of Ubuntu 9.04 i386 Desktop.

I'm connecting to Exchange 2007. Here's the error message produced when I run the Evolution account creation wizard from the console:

jsk@xenon:~$ evolution
** (evolution:3137): DEBUG: Loading Exchange MAPI Plugin

** (evolution:3137): DEBUG: MAPI listener is constructed with 0 listed MAPI accounts
e-data-server-ui-Message: Unable to find password(s) in keyring (Keyring reports: No matching results)
e-data-server-ui-Message: Key file does not have group 'Passwords-ExchangeMAPI'
Create profile with <user-name> <domain-name> <server-name>
libexchangemapi-Message: exchange-mapi-connection.c:2874:
exchange_mapi_create_profile: lock(connect_lock)
Unknown parameter encountered: "max log size"
Ignoring unknown parameter "max log size"
Unknown parameter encountered: "syslog"
Ignoring unknown parameter "syslog"
Unknown parameter encountered: "passdb backend"
Ignoring unknown parameter "passdb backend"
Unknown parameter encountered: "unix password sync"
Ignoring unknown parameter "unix password sync"
Unknown parameter encountered: "passwd program"
Ignoring unknown parameter "passwd program"
Unknown parameter encountered: "pam password change"
Ignoring unknown parameter "pam password change"
Unknown parameter encountered: "map to guest"
Ignoring unknown parameter "map to guest"
Unknown parameter encountered: "usershare allow guests"
Ignoring unknown parameter "usershare allow guests"
Unknown parameter encountered: "guest ok"
Ignoring unknown parameter "guest ok"
Unknown parameter encountered: "guest ok"
Ignoring unknown parameter "guest ok"
Logging into the server... succeeded
libexchangemapi-Message: exchange-mapi-connection.c:146:
exchange_mapi_connection_close: lock(connect_lock)
Segmentation fault

I will post a back-trace when I have a moment later on.

Changed in evolution:
status: Unknown → Confirmed
Sonny (aadityabhatia) wrote :

The latest version of evolution-mapi crashes exactly as described in the comments above. The only way of avoiding the crash is to use the server's IPv4 address instead of the hostname.

I'm posting this because this bug affects evolution-mapi as explained in the description. I clearly see evolution-mapi in the list of packages affected by this bug. No doubt this has been fixed for openchange, but evolution-mapi issue stands at the same point after long discussion. Someone has marked it as invalid, though it is not. If there's another bug report present for the same issue, please post the link here.

Before I create a new bug report, I need to know that it wouldn't be blindly marked as a dupe of this bug.

Changed in evolution-mapi (Ubuntu):
status: Invalid → Confirmed
Changed in evolution-mapi (Ubuntu Jaunty):
status: Invalid → Confirmed
mzgubin (mgubin) wrote :

I read somewhere that this is a known issue if the exchange server is specified as a url. Try using an IP address of the exchange server. That worked for me.

Changed in evolution:
status: Confirmed → Fix Released
Changed in evolution:
importance: Unknown → Critical
Colin Watson (cjwatson) wrote :

evolution-mapi (0.30.3-1ubuntu1) maverick; urgency=low

  * Merge from debian to get a working evolution-mapi with evolution 2.30
    in maverick, remaining changes: (LP: #616294)
    - debian/control:
      transitional packages from libexchangemapi1.0-0 to libexchangemap-1.0-0
      and libexchangemapi1.0-dev to libexchangemapi-1.0-dev
  * New version fixing:
    - crash in mapi_sync_deleted (Milan Crha) (LP: #456651)
    - Sending mail fails for cluster setup (Bharath Acharya) (LP: #361993)
    - Store sent messages in Sent Items, not Outbox (Milan Crha) (LP: #561794)
    - Crashed with SIGSEGV in get_SPropValue (Milan Crha) (LP: #510527)
    - To field is not shown in sent item folder (Johnny Jacob) (LP: #574994)
    - Evolution Core Dumps when creating a MAPI account (Milan Crha)
      (LP: #338982, #340532, #355045)

 -- Didier Roche <email address hidden> Tue, 14 Sep 2010 20:50:55 +0200

Changed in evolution-mapi (Ubuntu):
status: Confirmed → Fix Released
jedioetzi (jedioetzi) wrote :

in maverick

evolution --disable-eplugin
(evolution:5091): libexchangemapi-DEBUG: exchange-mapi-connection.c:189: exchange_mapi_connection_new: lock(connect_lock)
Unknown parameter encountered: "max log size"
Ignoring unknown parameter "max log size"
Unknown parameter encountered: "syslog"
Ignoring unknown parameter "syslog"
Unknown parameter encountered: "passdb backend"
Ignoring unknown parameter "passdb backend"
Unknown parameter encountered: "unix password sync"
Ignoring unknown parameter "unix password sync"
Unknown parameter encountered: "passwd program"
Ignoring unknown parameter "passwd program"
Unknown parameter encountered: "pam password change"
Ignoring unknown parameter "pam password change"
Unknown parameter encountered: "map to guest"
Ignoring unknown parameter "map to guest"
Unknown parameter encountered: "message command"
Ignoring unknown parameter "message command"
Unknown parameter encountered: "usershare allow guests"
Ignoring unknown parameter "usershare allow guests"
Segmentation fault

evolution 2.30.3-1ubuntu6
evolution mapi 0.30.3-1ubuntu1

Similar to the previous comment.

Maverick, 64-bit, fresh install, trying to set up a new account.
evolution 2.30.3-1ubuntu7.2
evolution-mapi 0.30.3-1ubuntu1

$ evolution
Tracker-Message: Registering D-Bus service...
  Name:'org.freedesktop.Tracker1.Miner.Emails'
Tracker-Message: Registering D-Bus object...
Tracker-Message: Path:'/org/freedesktop/Tracker1/Miner/Emails'
Tracker-Message: Object Type:'TrackerEvolutionPlugin'
** (evolution:3349): DEBUG: Loading Exchange MAPI Plugin

** (evolution:3349): DEBUG: MAPI listener is constructed with 0 listed MAPI accounts
EI: MAIL PREFSUnknown parameter encountered: "max log size"
Ignoring unknown parameter "max log size"
Unknown parameter encountered: "syslog"
Ignoring unknown parameter "syslog"
Unknown parameter encountered: "passdb backend"
Ignoring unknown parameter "passdb backend"
Unknown parameter encountered: "unix password sync"
Ignoring unknown parameter "unix password sync"
Unknown parameter encountered: "passwd program"
Ignoring unknown parameter "passwd program"
Unknown parameter encountered: "pam password change"
Ignoring unknown parameter "pam password change"
Unknown parameter encountered: "map to guest"
Ignoring unknown parameter "map to guest"
Unknown parameter encountered: "usershare allow guests"
Ignoring unknown parameter "usershare allow guests"
Unknown parameter encountered: "guest ok"
Ignoring unknown parameter "guest ok"
Unknown parameter encountered: "guest ok"
Ignoring unknown parameter "guest ok"
Segmentation fault

I should note that I get past the problem if I use the IP address, rather than the hostname, during setup. It still prints out the "Unknown..." and "Ignoring..." messages though, so they are obviously warnings.

MacRules (macrules) wrote :

For what it's worth: it works with using a hostname on 11.04 (evolution 2.32.2).
I can access GAL.
I do not see my appointments, I also only see the Favorites folder in my mail account.
What can I do to help?
Please let me know if anyone needs logs, traces etc and please tell me how to get those.
I was thinking of providing a new bug rapport.

JC Hulce (soaringsky) wrote :

Thank you for taking the time to report this bug. This issue has been fixed in newer versions of Ubuntu, and Jaunty is EOL, so I am closing this bug task.

Changed in evolution-mapi (Ubuntu Jaunty):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.